$ = jQuery
$(document).ready ->
  $('.retrolin-map').each ->
    lng = $(@).attr 'data-long'
    lat = $(@).attr 'data-lat'
    zoom = $(@).attr 'data-zoom'
    id = @.id
    mapOptions = {
      div: id
      lat: parseFloat lat
      lng: parseFloat lng
      zoom: parseInt zoom,10
      scrollwheel: true
    }
    if navigator.userAgent.match(/(iPad|iPhone|iPod|Android)/g)
      mapOptions.draggable = false

    map = new GMaps mapOptions

    map.addMarker {
      lat: parseFloat lat
      lng: parseFloat lng
    }
    null

  $('.more-link').each ->
    $parent = $(@).parent()
    $previous = $parent.prev()
    $(@).appendTo $previous
    $parent.remove()
    null

  $('.menu-toggle').on 'click', 'span', (ev)->
    ev.preventDefault()
    $(@).parent().next().slideToggle 'fast', ->
      if $(@).is(':visible')
        $('html, body').stop().animate {
          scrollTop: 355
        }, {
          duration: 'fast'
        }
      null
    null

  $(window).on 'resize', ->
    if $(@).width() > 767
      $('.menu-main_menu-container').show()
    else
      $('.menu-main_menu-container').hide()
    null
  null